name: Build and Deploy Resume Site
on:
  push:
    branches:
      - master

jobs:
  setup-website-content:
    runs-on: ubuntu-latest
    container:
      image: shockrah/hugo
    steps:
      - run: git init
      - run: git remote add origin https://git.shockrah.xyz/shockrah/temper-tv.git
      - run: git pull origin master
      - name: Build website content
        run: cd main-site && pwd && ls -a && hugo
      - name: Copy files with rsync
        uses: tempersama/rsync-copy@2.6
        with:
          host: shockrah.xyz
          username: ${{ secrets.USER }}
          source: "main-site/public/"
          destination: /opt/nginx/temper.tv/
          key: ${{ secrets.PRIVATE_KEY }}

